Subject: EPR Summary

From: <[email-masked]>
Date: Tue, 4 Oct 94 16:46:30 +0100

Hi again

 Last Saturday I posted the next questions concerning the calculation
 of spin density and prediction of EPR spectra from quantum
 mechanical calculations. 
====================================================================

    Dear Netters

      Can somebody answer those questions?

   1) Is it possible to predict or at least to interpret EPR
     spectra from ab initio quantum mechanical calulations
     for radicals?

   2)  If so, is there software to do it from the information
     given by standard quantum chemical calculations codes?

   3)  Which kind of calculation is neccesary or recommended 
     to calculate EPR spectra? Is it enough with Hartree-Fock
     calculations, say UHF, or is it neccesary to go beyond
     Hartree-Fock wavefuncion?

   4)  How good is the spin density given by UHF calculations
     when compared to that given by EPR?

       Please, answer directly to me. Of course, I shall summarize 
     for the net.

       Thank you in advance

	      Jose Antonio Mejias Romero
	      Departamento de Quimica-Fisica
	      Universidad de Sevilla. Spain

	      e-mail:  [email-masked]

====================================================================

 I have got several answers. All of them quite interesting. 
Jussi Eloranta wrote this ...

    -----------------------

>      Can somebody answer those questions?
>
>   1) Is it possible to predict or at least to interpret EPR
>     spectra from ab initio quantum mechanical calulations
>     for radicals?
>
For simple systems, yes.

>   2)  If so, is there software to do it from the information
>     given by standard quantum chemical calculations codes?
>
I've done some calculations using gaussian 92. This outputs fermi contact
terms which can be easily converted to coupling constants. GAMESS will also
output this information.

>   3)  Which kind of calculation is neccesary or recommended 
>     to calculate EPR spectra? Is it enough with Hartree-Fock
>     calculations, say UHF, or is it neccesary to go beyond
>     Hartree-Fock wavefuncion?

Usually UHF does not give correct answers. I usually use CI calculations
(singles and/or doubles subtitutions). Also you have to be very careful
about the basis set you use. Once I also tried MP2 and it gave reasonable
couplings in some cases.

>   4)  How good is the spin density given by UHF calculations
>     when compared to that given by EPR?

UHF usually gives too high couplings (at least for PI radicals)
but not always.

Here is a short example I computed a while ago for CH and CH3 with different
basis sets. This was just a quick test, so there may be errors in these tables.

CH radical (G92)

[QCISD with frozen core and optimization]

Basis		A1[G]			E1[%]			CPU[min] / iter
expt		-20.6			0.0			----
DZ		-26.470			22.2			0.79
dujineveldt	-21.799			5.5			10.67
dujineveldt {X}	-21.798                 5.5                     13.14
STO-3G		-28.886			28.6			0.56
STO-6G		-39.607			48.0			0.81
6-311G**	-22.655			9.1			2.82
6-311G		-24.577			16.2			1.33
tzp		-22.124			6.9			2.33
tzplarge	-23.853                 13.6                    2.67

{X} = no frozen core (ie. QCISD=FULL)

CH3 radical (G92)

[QCISD with frozen core and optimization]

Basis		A1[G]	A2[G]	A3[G]	E1[%]	E2[%]	E3[%]	CPU[min] /iter
expt		-25	-25	-25	0.0	0.0	0.0	---
DZ		-35.87  -35.87  -35.87  30.3	30.3	30.3	1.29
dujineveldt	-25.89  -25.89  -25.89	3.4	3.4	3.4	125

Also you may be interested in some utils I've written:

cf.c	   Extract hyperfine couplings from G92 output file.
convert.c  Convert G82 basis set format to G92 basis set format.
cplt.c     Produce suitable ASCII files from G92 orbital output file
           for visualization.

These and and converted GENBAS (from ccl.net) are available from
epr.chem.jyu.fi via anonymous ftp. The directory is /pub/g92. I haven't 
tested any of these programs extensively, so watch out...

Here are some references:

About hyperfine coupling calculations:
1. D. M. Chipman, The spin polarization model for hyperfine coupling constants,
Theor. Chim. Acta (1992), 82: 93-115.
2. D. Feller, E. McCullogh, Jr., A Comparison of Unrestricted HF and restricted
open-shell HF-based methods for determining the magnetic hyperfine parameters
of NO, J. Chem. Phys. (1993), 99: 2829-2840.
3. D. M. Chipman, Theoretical Study of the Properties of Methyl Radical,
J. Chem. Phys. (1983), 78: 3112-3132.

Quick intro to basis sets:
x. J. K. Labanowski, OSC, Simplified Introduction to AB Initio Basis Sets.
Terms and Notation. From anon. ftp server ccl.net.

I hope this helps.

Regards,

Jussi Eloranta

    -----------------------
     
   Me again:
  The paper by Chipman in Theor. Chim. Acta.  gives a nice explanation of
  the spin polarization effect and how it is included in UHF and CI 
  calculations. As those are ab initio methods you can see what you
  have and what is lacking in your calculations. Thus, you know why 
  UHF gives usually wrong results and SCI for open shells uses to 
  work ok. The relevance of the basis set as well as the dynamical
  correlation are also discussed. Summaryzing: it is well known how to 
  obtain good spin densities from ab initio calculations. A different 
  question is how expensive your calculation will be.
   I haven't still read the other references given by Jussi Eloranta
  but I shall read them as soon as I can.

   Of course I have had answers from people using DFT. Here you have 
  one example

    -----------------------
Hi Jose Antonio,

HF, and UHF usually lead to wrong spin densities.

DFT, on the contrary, lead to much better spin densities at nucl, and
EPR parameters in general.

quite significant results have been obtained by Delley, and Noodelman
in the past (at the time of the LDA approximation).

    -----------------------

   Me again:
    I believe that DFT can work better than UHF for spin densities.
   But how can it be explained? Is it possible to see which contributions 
   you include or which are lacking in your density function? Is it possible
   to know why and when some exchange-correlation potential fails?

    There are people who used ab initio as well as DFT calculations.

    -----------------------
Dear Sir,

you have asked about the accuracy of 
spin density calculation with ab initio calculations.
Since I have worked quite a while on that field let
me give you some comments on it. 

First of all, spin density calculation have turned out
to be quite problematic for ab initio calculations. This
is mainly because of the local nature of Spin density
(not because of the cusp, as you might hear). Or
if you want to calculate the anisotropic part
it is no problem but if you calculate the Fermi-Contact
term you should go to really correct wave functions
(best always MR-CI, but also CCSD(T) (QCISD(T)) will 
do it). Okay let us be something more concrete:

UHF : Will give you between 3 to 10 times to large
      Fermi contact terms.

UMPx: Improves it somewhat but is roughly comparable to
       UHF.

QCISD(T),CCSD(T) will be accurate up to 5% as well
as MR-CI, but with a little bit spezialized
programs. 

So lets talk about basis sets. To say it simple
the standard basis sets (DZP, 6-31G** and so on)
will do a worse job for that property. This is
relatively easy to believe, since they have been
optimized in the valence region. So you
should add a diffuse function and a "peak"
function to your standard basis sets. The 
work of Chong et al., and Chipman may be taken
as citation for that. This corrects the basis set
to acceptable flexibility.

Good, there is one possible way out if you
do not want to go to CCSD(T) or MR-CI
calculation. If you take density functionals
(say gradient corrected ones) you will be more
or less accurate, dependening a little bit
on the Functional and much more on the
kind of Center. For example beta protons you have quite
correct values, but the center were you have your
spin is to small by about a factor 2. This is mainly
because direct and indirect effects have been somewhat
unbalanced teated. This may change by other
functionals I can only say it for the so called
BLYP and BVWN functionals. It should appear a publication
of that from miself in Chem.Phys.Lett. were you should
also find some references back mainly from
Eriksson and Barone et al. who have used this method
extensively.      

Other literature which I would recommend:

D. Feller and E.R. Davidson, J.Chem.Phys. 88 (1988) 7580
D. Feller and E.R. Davidson, in "Theoretical Models of
                             Chemical Bondings", ed. Z.B. Maksic,
                              Springer, Berlin.

H.U. Suter and B. Engels, J.Chem.Phys, 100 (1994) 2936.

and the references therein where you should find the other
important contributions from Chipman, Carmichael and Wong.

                                  hope this gives a little impression,
                                    Hans Ulrich  Suter,
                                    Centro Svizzero di Calcolo Scientiifico
                                 CH-6928 Manno.

    -----------------------

   Me again:
   The chapter by Feller and Davidson in "Theoretical Models..."
  gives an excellent review about the key points to consider
  in order to calculate spin density.
   
    Here you have another interesting mail about ab initio and DFT
  calculations. Here again I have the impression that with ab initio
  you know what you have and with DFT you try it until you get 
  a good result.
    -----------------------
Jose,
> 
>       Can somebody answer those questions?
> 
>    1) Is it possible to predict or at least to interpret EPR
>      spectra from ab initio quantum mechanical calulations
>      for radicals?
> 
>    2)  If so, is there software to do it from the information
>      given by standard quantum chemical calculations codes?
> 
>    3)  Which kind of calculation is neccesary or recommended 
>      to calculate EPR spectra? Is it enough with Hartree-Fock
>      calculations, say UHF, or is it neccesary to go beyond
>      Hartree-Fock wavefuncion?
> 
>    4)  How good is the spin density given by UHF calculations
>      when compared to that given by EPR?
> 
   Sorry to take so long, but two small children prevent me from stringing
together two minutes of rational thought on the weekends.

   Your question has two interpretations, as I see it. Either you want to
simulate actual spectra by feeding in necessary coupling constants, etc., or
you want to calculate those constants (or maybe both). I can't help much with
the former. I seem to recall QCPE has a spectral fitting/reproduction program
for EPR, but I've never used it.

   I know more about the prediction of hyperfine splittings from QM
wavefunctions. We recently compared UHF, PUHF and MP2 spin densities for the
prediction of isotropic hfs values in 25 different radicals (all containing
phosphorus) for several different magnetically active nuclei. We are in the
progress of repeating this work with ROHF and DFT spin densities. My bottom
line analysis at this point, based on this and several other studies we have
performed earlier (as well as the literature) is as follows:

1) Multireference CI with large, uncontracted basis sets gives great results,
but is obviously limited to VERY small systems (see work of Knight, Davidson,
and Feller, primarily -- also Chipman, Carmichael, and Barone) Finite field
calculations with other sophisticated levels of theory (MP4, CCSD(T), BD,
etc.) are similarly good for these small systems -- same groups primarily.

2) MP2 densities give what we regard as the best compromise between accuracy
and speed when moderate basis sets are used, e.g., Pople's 6-311G** (diffuse
functions seem unnecessary in most cases we have examined, even anions).
There is almost certainly a fortuitous cancellation of errors with such a
basis set, since the core region is probably insufficiently flexible for
rigorous interpretation, but that's not a sin in my book.

3) UHF suffers from "overpolarization" from spin contamination (if that
contamination is severe, the MP2 densities are not very useful either). ROHF,
on the other hand, gives a nice first order spin density, but obviously
contains no polarization at all of doubly filled orbitals. PUHF is a useful
compromise, but still not as good as MP2 in most cases (and is not
variational in the orbitals). Semiempirical results are awful, in my opinion,
but that does not stop them from being reported on a large scale. If the
system is too big to do higher levels of theory, the INDO approximation
appears to have the most support.

4) DFT in our hands (pick a functional and we've probably tried it) is not
much better than UHF for the same geometries, and is significantly worse for
the many cases we have found where DFT is unable to reproduce the structure
of the radical accurately (e.g., DFT predicts the experimentally observed
PCl4 radical to be unstable to dissociation to PCl3 and Cl for several of the
more modern functionals). The recent work of Salahub and Barone and
Ishii and Shimizu provides other perspectives, but tends to keep me of the
opinion that more work needs to be done in this area.

   Our paper on the phosphorus work was written with a very thorough
introduction that addresses several of these points and is heavily referenced
to the many outstanding contributions that others made to this field long
before it attracted our interest. Rather than reproduce all those references
here, I will simply point you to the article, Cramer and Lim J. Phys. Chem.
98 (1994) 5024-5033.

   As for other points you raised, isotropic hyperfine couplings may be
calculated easily from the Fermi contact integral (the unpaired density at
the nuclear position) which programs like Gaussian and I think AMPAC or MOPAC
print out by default. The full hyperfine coupling tensor (of which the
isotropic hyperfine coupling is the trace) is less trivial to come by. The
code of Davidson and Feller called MELDF is quite useful--I am not
immediately aware of other codes which accomplish this calculation in a
canned way. The integrals for carrying it out are quite standard, and I
believe many groups have simply hacked into whatever QM package they are
using to add this capability.

   I note finally that several researchers use the approximation that
hyperfine couplings can be calculated from the s orbital spin densities on
individual atoms. We think this is a rather severe approximation that has
never given good results in our hands, although experimentalists like it
because it fits with the ways in which EPR spectra have traditionally been
interpreted with repsect to "where" the unpaired electron is.

   Hope this is helpful!

Chris

-- 

Christopher J. Cramer
University of Minnesota
Department of Chemistry
207 Pleasant St. SE
Minneapolis, MN 55455-0431
(612) 624-0859
[email-masked]

    -----------------------

    Me again

    from the answers I got I concluded that it is possible to
  predict EPR from ab initio calculations. You know what you need 
  to have a good spin density and other things related to the EPR.
  The problem is that for large systems this can be very expensive.

    I do not have experience about DFT but from what I have read 
  I see sometimes you have good results. When DFT fails you
  do not know why it happens.

    I am studying the interaction of alkaly and alkaline earth
  atoms with MgO surface. I am using ab initio methods.  I have
  got some structural data about the metal-surface interaction.
  This kind of system has been studied by EPR and I would like
  to know how good is the spin density given by my calculation and
  the spin density given by EPR.

   The infomation I have received has been (and will be)
  quite useful for me. I hope it will be useful for other people.

   I wish to express my gratitude to people who answered me. 

		   Jose Antonio Mejias

		    Dep. Quimica Fisica.
		    Univ. Sevilla
		    Spain

		    e-mail: [email-masked]